<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Model\Template\Resolver\Quote;

use Magento\Quote\Model\Quote\Item as QuoteItem;

/**
 * Class Item
 *
 * @package Aheadworks\Followupemail2\Model\Template\Resolver\Quote
 */
class Item
{
    /**
     * Retrieve product id for frontend URL generation
     *
     * @param QuoteItem $quoteItem
     * @return int|null
     */
    public function getProductIdForUrl($quoteItem)
    {
        $productId = $quoteItem->getData('product_id');

        $productTypeOption = $quoteItem->getOptionByCode('product_type');
        if ($productTypeOption) {
            $productId = $productTypeOption->getProductId();
        }

        if ($quoteItem->getParentItem()) {
            $productId = $quoteItem->getParentItem()->getData('product_id');
        }

        return $productId;
    }
}
